Bug 47059 - Disk Druid rounds sizes *down*
Disk Druid rounds sizes *down*
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-02 16:41 EDT by Brent Nordquist
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 12:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2001-07-02 16:41:29 EDT
Description of Problem:
When using Fairfax beta1 disk druid to create a partition, specified "512M"
but got "509M"... had to specify "514M" to get "517M", the desired round up
value.

Steps to Reproduce:
1. Click "New".
2. Mount Point "/var", Size (MB) "512", (*) Fixed Size:
3. Click "Ok".

Actual Results:
Partition's created size of "509M" (results vary with hard drive's cylinder
size, of course).

Expected Results:
In the past, sizes were always rounded *up* to the nearest cylinder
boundary (so that the filesystem would always be at least as big as you
specified).  Now it appears to round down, too.
Comment 1 Michael Fulbright 2001-07-06 12:52:21 EDT
We are now using parted to do partitioning and it does round down to the closest
cylinder.  We have added the option of partitioning using cylinders if you have
exact size requirements.

Note You need to log in before you can comment on or make changes to this bug.